Summary: A DHCP (Dynamic Host Configuration Protocol) server and relay agent.
Name: dhcp
%define	version	2.0b1pl6
Version: %{version}
Release: 6.1
Copyright: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source1: dhcpd.conf.sample
Source2: dhcpd.init
Patch0: dhcp-buildroot.patch
Patch1: dhcpd-quiet-log.patch
BuildRoot: /var/tmp/dhcpd-root
Obsoletes: dhcpd

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server.  The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcp package includes the DHCP
server and a DHCP relay agent.

You should install dhcp if you want to set up a DHCP server on your
network. You will also need to install the dhcpcd package, which provides
the DHCP client daemon, on client machines.

%prep
%setup -q
%patch0 -p1 -b .ewt
%patch1 -p1 -b .ewt
cp $RPM_SOURCE_DIR/dhcpd.conf.sample .

%build
./configure
make CC="gcc -pipe" DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/var/dhcpd
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/sbin

RPM_BUILD_ROOT=${RPM_BUILD_ROOT} make install

install -m 0755 $RPM_SOURCE_DIR/dhcpd.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/dhcpd
strip $RPM_BUILD_ROOT/usr/sbin/*

# the dhcp Makefiles are too stupid to even install man pages properly
rm -rf $RPM_BUILD_ROOT/usr/man
find . -name "*.[58]" | while read file; do
    ext=`echo $file | sed 's/.*\.//'`
    echo $file - $ext
    mkdir -p $RPM_BUILD_ROOT/usr/man/man$ext
    install -m 644 $file $RPM_BUILD_ROOT/usr/man/man$ext
done

%post
/sbin/chkconfig --add dhcpd

%postun
if [ $1 = 0 ]; then
    # execute this only if we are NOT doing an upgrade
    /sbin/chkconfig --del dhcpd 
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README RELNOTES TODO dhcpd.conf.sample
%dir /var/dhcpd
/etc/rc.d/init.d/dhcpd
/usr/sbin/dhcpd
/usr/sbin/dhcrelay
/usr/man/man5/dhcpd.conf.5
/usr/man/man5/dhcpd.leases.5
/usr/man/man5/dhcp-options.5
/usr/man/man8/dhcpd.8
/usr/man/man8/dhcrelay.8

#%files client
#%defattr(-,root,root)
#%doc CHANGES README RELNOTES TODO doc/*
#%dir /var/dhcpd
#/etc/dhclient-script
#/sbin/dhclient
#/usr/man/man5/dhclient.conf.5
#/usr/man/man5/dhclient.leases.5
#/usr/man/man8/dhclient.8
#/usr/man/man8/dhclient-script.8

%changelog
* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- copy the source file in %prep, not move

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added a sample dhcpd.conf file
- we don't need to dump rfc's in /usr/doc

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- modify dhcpd.init to exit if /etc/dhcpd.conf is not present

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- Upgraded to 2.0b1pl6 (patch1 no longer needed).

* Thu Jun 11 1998 Erik Troan <ewt@redhat.com>
- applied patch from Chris Evans which makes the server a bit more paranoid
  about dhcp requests coming in from the wire

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- updated to dhcp 2.0b1pl1
- got proper man pages in the package

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- updated to build in a buildroot properly
- don't package up the client, as it doens't work very well <sigh>

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>
- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>
- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>
- First package.
